/**
  *  \file client/widgets/specbuildinfo.h
  *  \brief Ship Specification Build Information
  *
  *  (c) 2001-2011 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WIDGETS_SPECBUILDINFO_H
#define PCC_V2_CLIENT_WIDGETS_SPECBUILDINFO_H

#include "ui/ui.h"

class WSpecBuildInfo : public UIWidget {
    int hull;
 public:
    WSpecBuildInfo();
    ~WSpecBuildInfo();

    void getLayoutInfo(LayoutInfo& info);
    void drawContent(GfxCanvas& can);

    void setHull(int hull);
};

#endif
